Xorg crashed at kgem_add_reloc()

Bug #1231207 reported by Key Schmidt on 2013-09-26
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Critical
Unassigned

Bug Description

starting xubuntu but choose razorqt as desktop

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.2.901-2ubuntu5
ProcVersionSignature: Ubuntu 3.11.0-8.15-generic 3.11.1
Uname: Linux 3.11.0-8-generic x86_64
ApportVersion: 2.12.4-0ubuntu1
Architecture: amd64
CrashCounter: 1
Date: Thu Sep 26 01:10:23 2013
ExecutablePath: /usr/bin/Xorg
InstallationDate: Installed on 2013-09-25 (0 days ago)
InstallationMedia: Xubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902.1)
MarkForUpload: True
ProcCmdline: /usr/bin/X -core :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
ProcEnviron:

Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
 ?? () from /usr/lib/xorg/modules/drivers/intel_drv.so
Title: Xorg crashed with SIGABRT
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Key Schmidt (key-schmidt) wrote :
information type: Private → Public

StacktraceTop:
 list_add (head=0x18, entry=0x7fd1aa11a148) at ../../../src/intel_list.h:161
 list_move (head=0x18, list=0x7fd1aa11a148) at ../../../src/intel_list.h:248
 __kgem_bo_mark_dirty (bo=0x7fd1aa11a120) at ../../../src/sna/kgem.h:686
 kgem_add_reloc (kgem=kgem@entry=0x7fd1a8fe2000, pos=<optimized out>, bo=bo@entry=0x7fd1aa11a120, read_write_domain=read_write_domain@entry=163842, delta=<optimized out>, delta@entry=0) at ../../../src/sna/kgem.c:4798
 sna_blt_copy_boxes (sna=sna@entry=0x7fd1a8fe2000, alu=<optimized out>, src_bo=src_bo@entry=0x7fd1aa11a240, src_dx=src_dx@entry=0, src_dy=src_dy@entry=0, dst_bo=dst_bo@entry=0x7fd1aa11a120, dst_dx=dst_dx@entry=0, dst_dy=dst_dy@entry=0, bpp=32, box=box@entry=0x7fffb4db36d0, nbox=0, nbox@entry=1) at ../../../src/sna/sna_blt.c:2925

Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Timo Aaltonen (tjaalton) on 2013-09-26
affects: xorg-server (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Medium → Critical
Chris Wilson (ickle) wrote :

This doesn't make sense, afaict this implies bo->rq is NULL.

summary: - Xorg crashed with SIGABRT
+ Xorg crashed at kgem_add_reloc()
Chris Wilson (ickle) wrote :

I thought this was going to be related to

commit b16999da214803a026d7246ec4aa62031e82dfc8
Author: Chris Wilson <email address hidden>
Date: Wed Oct 9 23:54:57 2013 +0100

    sna: Upon unwinding operations, also check for exec objects to clear

    If we cancel an operation after partially committing it, we may leave
    the batch bookkeeping in an inconsistent state with an exec object with
    a zero-length batch. Ordinarily, this would not be an issue as we could
    pass the extra object to the next batch. However, if we switch rings, we
    need to clear the extra objects as they are currently flagged as being
    on the wrong ring, leading to hilarity.

    Reported-by: Jiri Slaby <email address hidden>
    Signed-off-by: Chris Wilson <email address hidden>

Maybe it still is...

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.99.907-0ubuntu1

---------------
xserver-xorg-video-intel (2:2.99.907-0ubuntu1) trusty; urgency=low

  [ Timo Aaltonen ]
  * Merge from unreleased debian git. (LP: #1247785) (LP: #1231207)
  * Drop sna-sanitize-output-crtc.diff, upstream.
 -- Maarten Lankhorst <email address hidden> Mon, 06 Jan 2014 14:48:05 +0100

Changed in xserver-xorg-video-intel (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers